# Search Operations Search for Collections by Collection name. Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint. Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets. ## Scan assets by paging through an entire search result set. - [POST /asset/scan](https://api.tenovos.com/openapi/v1/search-operations/scanassets.md): Provides the ability to scan a search result set of assets using a cursor to fetch the next set of results pages on the limit (page size) passed. ## Search for Collections. Return a list of Collections. - [POST /search/collection](https://api.tenovos.com/openapi/v1/search-operations/searchcollections.md): Retrieve the collection list against the list of search terms/keywords. By default AND operation will be applied between the search terms. By default 50 collections will return, you can also set search offset by setting from attribute, for example for first page set from to zero and after that you set 50, 100, 150 and so on. ## Perform a Keyword Search. Return a list of Assets. - [POST /search/keyword](https://api.tenovos.com/openapi/v1/search-operations/search.md): To Retrieve the Assets list there is two types of searches available, Simple Keyword Search: Requesting user can get list of Assets against search terms/keywords list. For example ["keyword1", "keyword2"] Facet Search: Requesting user can get list of Assets against Facet value list. For example ["Facet: facet_value"] Targeted Search: Requesting user can target keyword searches against Filename, Asset ID, Metadata, or Content (extracted text from documents) by passing the optional property of keywordSearchField. Requesting user can apply the combination of both searches and if there is no keyword/facet in requesting body it will apply wildcard search. By default AND operation will be applied with search terms and/or facets. By default, up to 50 Assets will return from the search.You can also set search offset by setting the from property. For example, for the first page, set from to zero. After that set from to 50, 100, 150, etc.